Subject: bug#50908: [PATCH] erc-user-mode: Set "+i" by default

From: Amin Bandali <[email-masked]>
Date: Fri, 01 Oct 2021 22:34:04 -0400

Stefan Kangas writes:

> Amin Bandali <[email-masked]> writes:
>
>> > What do you think of this ERC patch to enable the "+i" user flag by
>> > default.  This hides a user from global /who and /names, thus providing
>> > (very marginally) better privacy and protection from spam bots and
>> > similarly abusive behaviour.
>>
>> ENOPATCH :)
>
> Oops.  I'm not at my computer this weekend, so I'll send it later.
> Basically it just sets erc-user-mode to "+i" and adds a comment that
> explains the "+i" flag.

Cool; no rush here.  :)  I'll await your patch next week then.

>> This sounds like a good thing to do.
>> Other folks reading emacs-erc@, what do you think?
>
> IIUC, "+i" is the default that irssi has:
> https://irssi.org/documentation/settings/#usermode
>

Nice, good to know.  Since other clients (and some networks) also do
this out of the box, I'd welcome the change in ERC as well.

-- 
https://bndl.org